﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.UI.OCAWebService {
    using System.Data;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="#Oca_Express_Pak", ConfigurationName="OCAWebService.Oep_TrackingSoap")]
    public interface Oep_TrackingSoap {
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/List_Envios", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet List_Envios(string CUIT, string FechaDesde, string FechaHasta);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/List_Envios", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> List_EnviosAsync(string CUIT, string FechaDesde, string FechaHasta);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tracking_Pieza", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet Tracking_Pieza(string NroDocumentoCliente, string CUIT, string Pieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tracking_Pieza", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> Tracking_PiezaAsync(string NroDocumentoCliente, string CUIT, string Pieza);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tracking_OrdenRetiro", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet Tracking_OrdenRetiro(string CUIT, int OrdenRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tracking_OrdenRetiro", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> Tracking_OrdenRetiroAsync(string CUIT, int OrdenRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tarifar_Envio_Corporativo", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet Tarifar_Envio_Corporativo(string PesoTotal, string VolumenTotal, int CodigoPostalOrigen, int CodigoPostalDestino, long CantidadPaquetes, string Cuit, string Operativa);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/Tarifar_Envio_Corporativo", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> Tarifar_Envio_CorporativoAsync(string PesoTotal, string VolumenTotal, int CodigoPostalOrigen, int CodigoPostalDestino, long CantidadPaquetes, string Cuit, string Operativa);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/AnularOrdenGenerada", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet AnularOrdenGenerada(string usuario, string password, int nroOrden);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/AnularOrdenGenerada", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> AnularOrdenGeneradaAsync(string usuario, string password, int nroOrden);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerarConsolidacionDeOrdenesDeRetiro", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GenerarConsolidacionDeOrdenesDeRetiro(string usr, string psw, string ordenesDeRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerarConsolidacionDeOrdenesDeRetiro", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GenerarConsolidacionDeOrdenesDeRetiroAsync(string usr, string psw, string ordenesDeRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetEnviosUltimoEstado", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetEnviosUltimoEstado(string cuit, string[] operativas, System.DateTime fechaDesde, System.DateTime fechaHasta);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetEnviosUltimoEstado", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetEnviosUltimoEstadoAsync(string cuit, string[] operativas, System.DateTime fechaDesde, System.DateTime fechaHasta);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateQrByOrdenDeRetiro", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GenerateQrByOrdenDeRetiro(string usr, string psw, string idOrdenDeRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateQrByOrdenDeRetiro", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GenerateQrByOrdenDeRetiroAsync(string usr, string psw, string idOrdenDeRetiro);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateQRParaPaquetes", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GenerateQRParaPaquetes(string usr, string psw, string numeroDeEnvio, string idpaquete);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateQRParaPaquetes", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GenerateQRParaPaquetesAsync(string usr, string psw, string numeroDeEnvio, string idpaquete);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateListQrPorEnvio", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string[] GenerateListQrPorEnvio(string usr, string psw, string numeroDeEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GenerateListQrPorEnvio", ReplyAction="*")]
        System.Threading.Tasks.Task<string[]> GenerateListQrPorEnvioAsync(string usr, string psw, string numeroDeEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/IngresoOR", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet IngresoOR(string usr, string psw, string XML_Retiro, bool ConfirmarRetiro, int DiasRetiro, int FranjaHoraria);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/IngresoOR", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> IngresoORAsync(string usr, string psw, string XML_Retiro, bool ConfirmarRetiro, int DiasRetiro, int FranjaHoraria);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentroCostoPorOperativa", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetCentroCostoPorOperativa(string CUIT, int Operativa);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentroCostoPorOperativa", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetCentroCostoPorOperativaAsync(string CUIT, int Operativa);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicion", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetCentrosImposicion();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicion", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetELockerOCA", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetELockerOCA();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetELockerOCA", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetELockerOCAAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionAdmision", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetCentrosImposicionAdmision();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionAdmision", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAdmisionAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetServiciosDeCentrosImposicion", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Xml.XmlNode GetServiciosDeCentrosImposicion();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetServiciosDeCentrosImposicion", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Xml.XmlNode> GetServiciosDeCentrosImposicionAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/TrackingEnvio_EstadoActual", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Xml.XmlNode TrackingEnvio_EstadoActual(string numeroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/TrackingEnvio_EstadoActual", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Xml.XmlNode> TrackingEnvio_EstadoActualAsync(string numeroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetProvincias", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Xml.XmlNode GetProvincias();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetProvincias", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Xml.XmlNode> GetProvinciasAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetLocalidadesByProvincia", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Xml.XmlNode GetLocalidadesByProvincia(int idProvincia);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetLocalidadesByProvincia", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Xml.XmlNode> GetLocalidadesByProvinciaAsync(int idProvincia);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetServiciosDeCentrosImposicion_xProvincia", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Xml.XmlNode GetServiciosDeCentrosImposicion_xProvincia(int provinciaID, string localidad);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetServiciosDeCentrosImposicion_xProvincia", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Xml.XmlNode> GetServiciosDeCentrosImposicion_xProvinciaAsync(int provinciaID, string localidad);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionPorCP", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetCentrosImposicionPorCP(string CodigoPostal);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionPorCP", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionPorCPAsync(string CodigoPostal);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionAdmisionPorCP", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Data.DataSet GetCentrosImposicionAdmisionPorCP(string CodigoPostal);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetCentrosImposicionAdmisionPorCP", ReplyAction="*")]
        System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAdmisionPorCPAsync(string CodigoPostal);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GetHtmlDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadora", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadora(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadora", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetDatosDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        eCommerce.UI.OCAWebService.Etiqueta[] GetDatosDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio, bool isLocker);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetDatosDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        System.Threading.Tasks.Task<eCommerce.UI.OCAWebService.Etiqueta[]> GetDatosDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio, bool isLocker);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvio", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvio", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadora", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadora(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadora", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(int idOrdenRetiro, string nroEnvio);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetPdfDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        string GetPdfDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio, bool logisticaInversa);
        
        [System.ServiceModel.OperationContractAttribute(Action="#Oca_Express_Pak/GetPdfDeEtiquetasPorOrdenOrNumeroEnvio", ReplyAction="*")]
        System.Threading.Tasks.Task<string> GetPdfDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio, bool logisticaInversa);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.1064.2")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="#Oca_Express_Pak")]
    public partial class Etiqueta : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string nroOrdenField;
        
        private string nroGuiaField;
        
        private string docClienteField;
        
        private string servicioField;
        
        private string bultoField;
        
        private string operativaField;
        
        private string pesoTotalField;
        
        private string sucursalDestinoField;
        
        private string sucursalOrigenField;
        
        private string sucursalGuardaField;
        
        private string entregaField;
        
        private string destinatarioField;
        
        private string domicilioField;
        
        private string telefonoField;
        
        private string remitenteField;
        
        private string observacionesField;
        
        private string codigoAperturaField;
        
        private string qrField;
        
        private string codeBarField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string NroOrden {
            get {
                return this.nroOrdenField;
            }
            set {
                this.nroOrdenField = value;
                this.RaisePropertyChanged("NroOrden");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string NroGuia {
            get {
                return this.nroGuiaField;
            }
            set {
                this.nroGuiaField = value;
                this.RaisePropertyChanged("NroGuia");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string DocCliente {
            get {
                return this.docClienteField;
            }
            set {
                this.docClienteField = value;
                this.RaisePropertyChanged("DocCliente");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Servicio {
            get {
                return this.servicioField;
            }
            set {
                this.servicioField = value;
                this.RaisePropertyChanged("Servicio");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=4)]
        public string Bulto {
            get {
                return this.bultoField;
            }
            set {
                this.bultoField = value;
                this.RaisePropertyChanged("Bulto");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=5)]
        public string Operativa {
            get {
                return this.operativaField;
            }
            set {
                this.operativaField = value;
                this.RaisePropertyChanged("Operativa");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=6)]
        public string PesoTotal {
            get {
                return this.pesoTotalField;
            }
            set {
                this.pesoTotalField = value;
                this.RaisePropertyChanged("PesoTotal");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=7)]
        public string SucursalDestino {
            get {
                return this.sucursalDestinoField;
            }
            set {
                this.sucursalDestinoField = value;
                this.RaisePropertyChanged("SucursalDestino");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=8)]
        public string SucursalOrigen {
            get {
                return this.sucursalOrigenField;
            }
            set {
                this.sucursalOrigenField = value;
                this.RaisePropertyChanged("SucursalOrigen");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=9)]
        public string SucursalGuarda {
            get {
                return this.sucursalGuardaField;
            }
            set {
                this.sucursalGuardaField = value;
                this.RaisePropertyChanged("SucursalGuarda");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=10)]
        public string Entrega {
            get {
                return this.entregaField;
            }
            set {
                this.entregaField = value;
                this.RaisePropertyChanged("Entrega");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=11)]
        public string Destinatario {
            get {
                return this.destinatarioField;
            }
            set {
                this.destinatarioField = value;
                this.RaisePropertyChanged("Destinatario");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=12)]
        public string Domicilio {
            get {
                return this.domicilioField;
            }
            set {
                this.domicilioField = value;
                this.RaisePropertyChanged("Domicilio");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=13)]
        public string Telefono {
            get {
                return this.telefonoField;
            }
            set {
                this.telefonoField = value;
                this.RaisePropertyChanged("Telefono");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=14)]
        public string Remitente {
            get {
                return this.remitenteField;
            }
            set {
                this.remitenteField = value;
                this.RaisePropertyChanged("Remitente");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=15)]
        public string Observaciones {
            get {
                return this.observacionesField;
            }
            set {
                this.observacionesField = value;
                this.RaisePropertyChanged("Observaciones");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=16)]
        public string CodigoApertura {
            get {
                return this.codigoAperturaField;
            }
            set {
                this.codigoAperturaField = value;
                this.RaisePropertyChanged("CodigoApertura");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=17)]
        public string QR {
            get {
                return this.qrField;
            }
            set {
                this.qrField = value;
                this.RaisePropertyChanged("QR");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=18)]
        public string CodeBar {
            get {
                return this.codeBarField;
            }
            set {
                this.codeBarField = value;
                this.RaisePropertyChanged("CodeBar");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface Oep_TrackingSoapChannel : eCommerce.UI.OCAWebService.Oep_TrackingSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class Oep_TrackingSoapClient : System.ServiceModel.ClientBase<eCommerce.UI.OCAWebService.Oep_TrackingSoap>, eCommerce.UI.OCAWebService.Oep_TrackingSoap {
        
        public Oep_TrackingSoapClient() {
        }
        
        public Oep_TrackingSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public Oep_TrackingSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Oep_TrackingSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Oep_TrackingSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public System.Data.DataSet List_Envios(string CUIT, string FechaDesde, string FechaHasta) {
            return base.Channel.List_Envios(CUIT, FechaDesde, FechaHasta);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> List_EnviosAsync(string CUIT, string FechaDesde, string FechaHasta) {
            return base.Channel.List_EnviosAsync(CUIT, FechaDesde, FechaHasta);
        }
        
        public System.Data.DataSet Tracking_Pieza(string NroDocumentoCliente, string CUIT, string Pieza) {
            return base.Channel.Tracking_Pieza(NroDocumentoCliente, CUIT, Pieza);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> Tracking_PiezaAsync(string NroDocumentoCliente, string CUIT, string Pieza) {
            return base.Channel.Tracking_PiezaAsync(NroDocumentoCliente, CUIT, Pieza);
        }
        
        public System.Data.DataSet Tracking_OrdenRetiro(string CUIT, int OrdenRetiro) {
            return base.Channel.Tracking_OrdenRetiro(CUIT, OrdenRetiro);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> Tracking_OrdenRetiroAsync(string CUIT, int OrdenRetiro) {
            return base.Channel.Tracking_OrdenRetiroAsync(CUIT, OrdenRetiro);
        }
        
        public System.Data.DataSet Tarifar_Envio_Corporativo(string PesoTotal, string VolumenTotal, int CodigoPostalOrigen, int CodigoPostalDestino, long CantidadPaquetes, string Cuit, string Operativa) {
            return base.Channel.Tarifar_Envio_Corporativo(PesoTotal, VolumenTotal, CodigoPostalOrigen, CodigoPostalDestino, CantidadPaquetes, Cuit, Operativa);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> Tarifar_Envio_CorporativoAsync(string PesoTotal, string VolumenTotal, int CodigoPostalOrigen, int CodigoPostalDestino, long CantidadPaquetes, string Cuit, string Operativa) {
            return base.Channel.Tarifar_Envio_CorporativoAsync(PesoTotal, VolumenTotal, CodigoPostalOrigen, CodigoPostalDestino, CantidadPaquetes, Cuit, Operativa);
        }
        
        public System.Data.DataSet AnularOrdenGenerada(string usuario, string password, int nroOrden) {
            return base.Channel.AnularOrdenGenerada(usuario, password, nroOrden);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> AnularOrdenGeneradaAsync(string usuario, string password, int nroOrden) {
            return base.Channel.AnularOrdenGeneradaAsync(usuario, password, nroOrden);
        }
        
        public string GenerarConsolidacionDeOrdenesDeRetiro(string usr, string psw, string ordenesDeRetiro) {
            return base.Channel.GenerarConsolidacionDeOrdenesDeRetiro(usr, psw, ordenesDeRetiro);
        }
        
        public System.Threading.Tasks.Task<string> GenerarConsolidacionDeOrdenesDeRetiroAsync(string usr, string psw, string ordenesDeRetiro) {
            return base.Channel.GenerarConsolidacionDeOrdenesDeRetiroAsync(usr, psw, ordenesDeRetiro);
        }
        
        public System.Data.DataSet GetEnviosUltimoEstado(string cuit, string[] operativas, System.DateTime fechaDesde, System.DateTime fechaHasta) {
            return base.Channel.GetEnviosUltimoEstado(cuit, operativas, fechaDesde, fechaHasta);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetEnviosUltimoEstadoAsync(string cuit, string[] operativas, System.DateTime fechaDesde, System.DateTime fechaHasta) {
            return base.Channel.GetEnviosUltimoEstadoAsync(cuit, operativas, fechaDesde, fechaHasta);
        }
        
        public string GenerateQrByOrdenDeRetiro(string usr, string psw, string idOrdenDeRetiro) {
            return base.Channel.GenerateQrByOrdenDeRetiro(usr, psw, idOrdenDeRetiro);
        }
        
        public System.Threading.Tasks.Task<string> GenerateQrByOrdenDeRetiroAsync(string usr, string psw, string idOrdenDeRetiro) {
            return base.Channel.GenerateQrByOrdenDeRetiroAsync(usr, psw, idOrdenDeRetiro);
        }
        
        public string GenerateQRParaPaquetes(string usr, string psw, string numeroDeEnvio, string idpaquete) {
            return base.Channel.GenerateQRParaPaquetes(usr, psw, numeroDeEnvio, idpaquete);
        }
        
        public System.Threading.Tasks.Task<string> GenerateQRParaPaquetesAsync(string usr, string psw, string numeroDeEnvio, string idpaquete) {
            return base.Channel.GenerateQRParaPaquetesAsync(usr, psw, numeroDeEnvio, idpaquete);
        }
        
        public string[] GenerateListQrPorEnvio(string usr, string psw, string numeroDeEnvio) {
            return base.Channel.GenerateListQrPorEnvio(usr, psw, numeroDeEnvio);
        }
        
        public System.Threading.Tasks.Task<string[]> GenerateListQrPorEnvioAsync(string usr, string psw, string numeroDeEnvio) {
            return base.Channel.GenerateListQrPorEnvioAsync(usr, psw, numeroDeEnvio);
        }
        
        public System.Data.DataSet IngresoOR(string usr, string psw, string XML_Retiro, bool ConfirmarRetiro, int DiasRetiro, int FranjaHoraria) {
            return base.Channel.IngresoOR(usr, psw, XML_Retiro, ConfirmarRetiro, DiasRetiro, FranjaHoraria);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> IngresoORAsync(string usr, string psw, string XML_Retiro, bool ConfirmarRetiro, int DiasRetiro, int FranjaHoraria) {
            return base.Channel.IngresoORAsync(usr, psw, XML_Retiro, ConfirmarRetiro, DiasRetiro, FranjaHoraria);
        }
        
        public System.Data.DataSet GetCentroCostoPorOperativa(string CUIT, int Operativa) {
            return base.Channel.GetCentroCostoPorOperativa(CUIT, Operativa);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetCentroCostoPorOperativaAsync(string CUIT, int Operativa) {
            return base.Channel.GetCentroCostoPorOperativaAsync(CUIT, Operativa);
        }
        
        public System.Data.DataSet GetCentrosImposicion() {
            return base.Channel.GetCentrosImposicion();
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAsync() {
            return base.Channel.GetCentrosImposicionAsync();
        }
        
        public System.Data.DataSet GetELockerOCA() {
            return base.Channel.GetELockerOCA();
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetELockerOCAAsync() {
            return base.Channel.GetELockerOCAAsync();
        }
        
        public System.Data.DataSet GetCentrosImposicionAdmision() {
            return base.Channel.GetCentrosImposicionAdmision();
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAdmisionAsync() {
            return base.Channel.GetCentrosImposicionAdmisionAsync();
        }
        
        public System.Xml.XmlNode GetServiciosDeCentrosImposicion() {
            return base.Channel.GetServiciosDeCentrosImposicion();
        }
        
        public System.Threading.Tasks.Task<System.Xml.XmlNode> GetServiciosDeCentrosImposicionAsync() {
            return base.Channel.GetServiciosDeCentrosImposicionAsync();
        }
        
        public System.Xml.XmlNode TrackingEnvio_EstadoActual(string numeroEnvio) {
            return base.Channel.TrackingEnvio_EstadoActual(numeroEnvio);
        }
        
        public System.Threading.Tasks.Task<System.Xml.XmlNode> TrackingEnvio_EstadoActualAsync(string numeroEnvio) {
            return base.Channel.TrackingEnvio_EstadoActualAsync(numeroEnvio);
        }
        
        public System.Xml.XmlNode GetProvincias() {
            return base.Channel.GetProvincias();
        }
        
        public System.Threading.Tasks.Task<System.Xml.XmlNode> GetProvinciasAsync() {
            return base.Channel.GetProvinciasAsync();
        }
        
        public System.Xml.XmlNode GetLocalidadesByProvincia(int idProvincia) {
            return base.Channel.GetLocalidadesByProvincia(idProvincia);
        }
        
        public System.Threading.Tasks.Task<System.Xml.XmlNode> GetLocalidadesByProvinciaAsync(int idProvincia) {
            return base.Channel.GetLocalidadesByProvinciaAsync(idProvincia);
        }
        
        public System.Xml.XmlNode GetServiciosDeCentrosImposicion_xProvincia(int provinciaID, string localidad) {
            return base.Channel.GetServiciosDeCentrosImposicion_xProvincia(provinciaID, localidad);
        }
        
        public System.Threading.Tasks.Task<System.Xml.XmlNode> GetServiciosDeCentrosImposicion_xProvinciaAsync(int provinciaID, string localidad) {
            return base.Channel.GetServiciosDeCentrosImposicion_xProvinciaAsync(provinciaID, localidad);
        }
        
        public System.Data.DataSet GetCentrosImposicionPorCP(string CodigoPostal) {
            return base.Channel.GetCentrosImposicionPorCP(CodigoPostal);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionPorCPAsync(string CodigoPostal) {
            return base.Channel.GetCentrosImposicionPorCPAsync(CodigoPostal);
        }
        
        public System.Data.DataSet GetCentrosImposicionAdmisionPorCP(string CodigoPostal) {
            return base.Channel.GetCentrosImposicionAdmisionPorCP(CodigoPostal);
        }
        
        public System.Threading.Tasks.Task<System.Data.DataSet> GetCentrosImposicionAdmisionPorCPAsync(string CodigoPostal) {
            return base.Channel.GetCentrosImposicionAdmisionPorCPAsync(CodigoPostal);
        }
        
        public string GetHtmlDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasPorOrdenOrNumeroEnvio(idOrdenRetiro, nroEnvio);
        }
        
        public System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioAsync(idOrdenRetiro, nroEnvio);
        }
        
        public string GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadora(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadora(idOrdenRetiro, nroEnvio);
        }
        
        public System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(idOrdenRetiro, nroEnvio);
        }
        
        public eCommerce.UI.OCAWebService.Etiqueta[] GetDatosDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio, bool isLocker) {
            return base.Channel.GetDatosDeEtiquetasPorOrdenOrNumeroEnvio(idOrdenRetiro, nroEnvio, isLocker);
        }
        
        public System.Threading.Tasks.Task<eCommerce.UI.OCAWebService.Etiqueta[]> GetDatosDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio, bool isLocker) {
            return base.Channel.GetDatosDeEtiquetasPorOrdenOrNumeroEnvioAsync(idOrdenRetiro, nroEnvio, isLocker);
        }
        
        public string GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvio(idOrdenRetiro, nroEnvio);
        }
        
        public System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioAsync(idOrdenRetiro, nroEnvio);
        }
        
        public string GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadora(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadora(idOrdenRetiro, nroEnvio);
        }
        
        public System.Threading.Tasks.Task<string> GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(int idOrdenRetiro, string nroEnvio) {
            return base.Channel.GetHtmlDeEtiquetasLockersPorOrdenOrNumeroEnvioParaEtiquetadoraAsync(idOrdenRetiro, nroEnvio);
        }
        
        public string GetPdfDeEtiquetasPorOrdenOrNumeroEnvio(int idOrdenRetiro, string nroEnvio, bool logisticaInversa) {
            return base.Channel.GetPdfDeEtiquetasPorOrdenOrNumeroEnvio(idOrdenRetiro, nroEnvio, logisticaInversa);
        }
        
        public System.Threading.Tasks.Task<string> GetPdfDeEtiquetasPorOrdenOrNumeroEnvioAsync(int idOrdenRetiro, string nroEnvio, bool logisticaInversa) {
            return base.Channel.GetPdfDeEtiquetasPorOrdenOrNumeroEnvioAsync(idOrdenRetiro, nroEnvio, logisticaInversa);
        }
    }
}
